com.mysql.cj.protocol

## Interface ServerCapabilities

    public interface ServerCapabilities

Represents server capabilities, retrieved right after creating physical connection and before handshake.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getCapabilityFlags()`
`int` `getServerDefaultCollationIndex()`
`ServerVersion` `getServerVersion()`
`long` `getThreadId()`
`boolean` `serverSupportsFracSecs()`
`void` `setCapabilityFlags(int capabilityFlags)`
`void` `setThreadId(long threadId)`

### Method Detail

#### getCapabilityFlags

    int getCapabilityFlags()

#### setCapabilityFlags

    void setCapabilityFlags(int capabilityFlags)

#### getServerVersion

    ServerVersion getServerVersion()

#### getThreadId

    long getThreadId()

#### setThreadId

    void setThreadId(long threadId)

#### serverSupportsFracSecs

    boolean serverSupportsFracSecs()

#### getServerDefaultCollationIndex

    int getServerDefaultCollationIndex()

Copyright © 2016, 2026, Oracle and/or its affiliates.